import React from 'react'
import Center from '../../../../.storybook/Center'
import CSVButton, { CSVButtonComponent } from './CSVButton'

const results = [
  {
    id: 'http://ldf.fi/kotus-names-archive/Q5695508',
    prefLabel: 'Helsinki',
    modifier: '-',
    basicElement: '-',
    typeLabel: '-',
    broaderTypeLabel: '-',
    collector: 'Saloniemi, Marjut',
    broaderAreaLabel: 'Joutsa',
    collectionYear: '1984',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q5695508',
    positioningAccuracy: 'Sijainti on tiedossa vain keruupitäjän tarkkuudella.'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q6468903',
    prefLabel: 'Helsinki',
    modifier: '-',
    basicElement: '-',
    typeLabel: '-',
    broaderTypeLabel: '-',
    collector: 'Jokela, Maija',
    broaderAreaLabel: 'Kuortane',
    collectionYear: '1961',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q6468903',
    positioningAccuracy: 'Sijainti on tiedossa vain keruupitäjän tarkkuudella.'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q6468913',
    prefLabel: 'Helsinki',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'tila',
    broaderTypeLabel: 'Talo',
    collector: 'Jokela, Maija',
    broaderAreaLabel: 'Kuortane',
    collectionYear: '1961',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q6468913',
    positioningAccuracy: 'Paikka sijaitsee keruukartalla tämän karttaruudun alueella.',
    lat: '62.748366',
    long: '23.751853'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q7024375',
    prefLabel: 'Helsinki',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'tila',
    broaderTypeLabel: 'Talo',
    collector: 'Alanen, Timo',
    broaderAreaLabel: 'Muurla',
    collectionYear: '1985',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q7024375',
    positioningAccuracy: 'Kerääjä on sijoittanut merkinnän tähän pisteeseen.',
    lat: '60.358669',
    long: '23.296032'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q7290213',
    prefLabel: 'Helsinki',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'kivi',
    broaderTypeLabel: 'Kivi',
    collector: 'Korhonen, Ritva',
    broaderAreaLabel: 'Perho',
    collectionYear: '1969',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q7290213',
    positioningAccuracy: 'Sijainti on tiedossa vain keruupitäjän tarkkuudella.'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q7665970',
    prefLabel: 'Helsinki',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'kallio',
    broaderTypeLabel: 'Kohouma',
    collector: 'Kumpulainen, Matti',
    broaderAreaLabel: 'Rautavaara',
    collectionYear: '1981',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q7665970',
    positioningAccuracy: 'Paikka sijaitsee keruukartalla tämän karttaruudun alueella.',
    lat: '63.523150',
    long: '28.312843'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q8301715',
    prefLabel: 'Helsinki',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'kylä',
    broaderTypeLabel: 'Kylä tai kulmakunta',
    collector: 'Pearlman, Pirjo',
    broaderAreaLabel: 'Taivassalo',
    collectionYear: '1980',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q8301715',
    positioningAccuracy: 'Sijainti on tiedossa vain keruupitäjän tarkkuudella.'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q8414367',
    prefLabel: 'Helsinki',
    modifier: '-',
    basicElement: '-',
    typeLabel: '-',
    broaderTypeLabel: '-',
    collector: 'Riola, Ulpu',
    broaderAreaLabel: 'Tuusula',
    collectionYear: '1963',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q8414367',
    positioningAccuracy: 'Sijainti on tiedossa vain keruupitäjän tarkkuudella.'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q8472099',
    prefLabel: 'Helsinki',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'tila',
    broaderTypeLabel: 'Talo',
    collector: 'Rauhanen, Sirpa',
    broaderAreaLabel: 'Uurainen',
    collectionYear: '1982',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q8472099',
    positioningAccuracy: 'Kerääjä on sijoittanut merkinnän tähän pisteeseen.',
    lat: '62.525537',
    long: '25.249276'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q8606503',
    prefLabel: 'Helsinki',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'kaupunki',
    broaderTypeLabel: 'Kaupunkialue tai taajama',
    collector: 'Lehti, Ulpu',
    broaderAreaLabel: 'Vantaa',
    collectionYear: '1967',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q8606503',
    positioningAccuracy: 'Sijainti on tiedossa vain keruupitäjän tarkkuudella.'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q9434028',
    prefLabel: 'Helsinki',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'torppa',
    broaderTypeLabel: 'Talo',
    collector: 'Saariluoma, V.',
    broaderAreaLabel: 'Muurla',
    collectionYear: '1954',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q9434028',
    positioningAccuracy: 'Sijainti on tiedossa vain keruupitäjän tarkkuudella.'
  },
  {
    id: 'http://ldf.fi/pnr/P_10342733',
    prefLabel: 'Helsinki',
    modifier: '-',
    basicElement: '-',
    typeLabel: '-',
    broaderTypeLabel: 'Kunta, kaupunki',
    collector: '-',
    broaderAreaLabel: 'Etelä-Suomi',
    collectionYear: '-',
    source: 'PNR',
    markerColor: 'yellow',
    namesArchiveLink: '-',
    positioningAccuracy: '-',
    lat: '60.165879062998215',
    long: '24.98899508545681'
  },
  {
    id: 'http://ldf.fi/pnr/P_10298104',
    prefLabel: 'Helsinki',
    modifier: '-',
    basicElement: '-',
    typeLabel: '-',
    broaderTypeLabel: 'Kylä, kaupunginosa tai kulmakunta',
    collector: '-',
    broaderAreaLabel: 'Taivassalo',
    collectionYear: '-',
    source: 'PNR',
    markerColor: 'yellow',
    namesArchiveLink: '-',
    positioningAccuracy: '-',
    lat: '60.60671357038397',
    long: '21.446870813141313'
  },
  {
    id: 'http://ldf.fi/pnr/P_10890711',
    prefLabel: 'Helsinki',
    modifier: '-',
    basicElement: '-',
    typeLabel: '-',
    broaderTypeLabel: 'Rautatieliikennepaikka',
    collector: '-',
    broaderAreaLabel: 'Helsinki',
    collectionYear: '-',
    source: 'PNR',
    markerColor: 'yellow',
    namesArchiveLink: '-',
    positioningAccuracy: '-',
    lat: '60.17196074223508',
    long: '24.94147140945698'
  }
]

export default {
  component: CSVButtonComponent,
  title: 'Sampo-UI/facet_results/CSVButton',
  decorators: [storyFn => <Center>{storyFn()}</Center>]
}

export const basic = () =>
  <CSVButton results={results} />
